Create account
curl --request POST \
--url https://carbonapistagingsecure.getcarbon.co/baas/api/v1/accounts \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'x-carbon-key: <x-carbon-key>' \
--data '
{
"account_type": "static",
"third_party": true,
"customer_id": "1732ca47-42b2-4990-a65d-c369e934eed3"
}
'const options = {
method: 'POST',
headers: {
'x-carbon-key': '<x-carbon-key>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_type: 'static',
third_party: true,
customer_id: '1732ca47-42b2-4990-a65d-c369e934eed3'
})
};
fetch('https://carbonapistagingsecure.getcarbon.co/baas/api/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://carbonapistagingsecure.getcarbon.co/baas/api/v1/accounts"
payload := strings.NewReader("{\n \"account_type\": \"static\",\n \"third_party\": true,\n \"customer_id\": \"1732ca47-42b2-4990-a65d-c369e934eed3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-carbon-key", "<x-carbon-key>")
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"message": "account created successfully",
"data": {
"id": "5da78692-ffbc-4f1e-b60b-4febd75c4d66",
"account": {
"bank_name": "CARBON LIMITED",
"bank_code": "565",
"account_name": "MARK ERELU-CARBON",
"account_number": "6142285181",
"client_id": "452716534"
},
"owner": {
"first_name": "mark",
"last_name": "erelu",
"email": "erelu@yahoo.com",
"phone": "08088000030"
},
"account_type": "static",
"mode": "sandbox",
"created_at": "2024-03-07T15:03:03.000Z",
"updated_at": "2024-03-07T15:03:03.000Z"
}
}Accounts
Create Account
Create a new virtual account for a customer/collection.
POST
/
v1
/
accounts
Create account
Overview
This endpoint creates a new virtual account based on the specified account type.- For third-party accounts (business use), set
third_partytotrueand provide acustomer_id. - For sub-accounts (collections), set
third_partytofalseand provide anaccount_name. - If
third_partyis not specified, it defaults totrue.
Endpoint
POST /accounts
Request Body
Standard Account Creation (Business Use)
{
"account_type": "static",
"third_party": true,
"customer_id": "1732ca47-42b2-4990-a65d-c369e934eed3"
}
Sub-Account Creation (Collections)
{
"account_type": "static",
"third_party": false,
"account_name": "Collections"
}
Response
{
"status": "success",
"message": "account created successfully",
"data": {
"id": "5da78692-ffbc-4f1e-b60b-4febd75c4d66",
"account": {
"bank_name": "DEMO BANK",
"bank_code": "565",
"account_name": "OJO BENSON - DEMO BANK",
"account_number": "0000000000",
"client_id": "0000000"
},
"owner": {
"first_name": "ojo",
"last_name": "erelu",
"email": "erelu@yahoo.com",
"phone": "08088000030"
},
"account_type": "static",
"mode": "sandbox",
"created_at": "2024-03-07T15:03:03.000Z",
"updated_at": "2024-03-07T15:03:03.000Z"
}
}
Authorizations
Provide your API key in the 'apikey' header.
Headers
Body
application/json
Create a new virtual account based on account type
The type of account to create (static or dynamic)
Available options:
static, dynamic For third-party accounts (business use), set to true. For sub-accounts (collections), set to false.
Required if third_party is true. The ID of the customer.
Required if third_party is false. The name of the collection account.
Response
200 - application/json
OK
The response is of type object.
⌘I